<p-accordion class="filter-accordion">
    <p-accordionTab header="Filter IVU" [selected]="false">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesBilling.leasing" for="field_dateCreate">Leasing</label>
                    <select class="form-control" [(ngModel)]="selectedLeasing">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="leasingCom.idPartyRole" *ngFor="let leasingCom of leasings">{{leasingCom.partyName}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                    <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                        <option [value]="null">Select Korsal</option>
                        <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.partyName}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                    <select class="form-control" [(ngModel)]="selectedSalesman">
                        <option [value]="null">Select Salesman</option>
                        <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.partyName}}</option>
                </div>
                <div class="form-group">
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesBilling.tanggalIvu" for="field_dateCreate">Tanggal IVU</label>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="input-group input-calendar">
                                   <p-calendar 
                                        inputId="field_vsbDateFrom" name="input_vsbDateFrom" 
                                        [(ngModel)]="vsbDateFrom" 
                                        dateFormat="dd-mm-yy"
                                        [utc]="true" 
                                        [showIcon]="true" 
                                        [monthNavigator]="true" [yearNavigator]="true" yearRange="{{yearForCalendar}}"
                                    ></p-calendar>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="input-group input-calendar">
                                     <p-calendar 
                                        inputId="field_vsbDateThru" name="input_vsbDateThru" 
                                        [(ngModel)]="vsbDateThru" 
                                        dateFormat="dd-mm-yy"
                                        [utc]="true" 
                                        [showIcon]="true" 
                                        [monthNavigator]="true" [yearNavigator]="true" yearRange="{{yearForCalendar}}"
                                    ></p-calendar>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
            </div>
        </div>
        <div class="btn-filter-wrapper">
            <button type="button" class="btn btn-primary btn-filter" (click)="filterVSB()"> 
                <span>FILTER</span>
            </button>
        </div>
    </p-accordionTab>
</p-accordion>

<p-dataTable
[value]="vehicleSalesBillings"
[editable]="true"
[rows]="itemsPerPage"
[paginator]="true"
[pageLinks]="5"
[rowsPerPageOptions]="[10,15,20]"
[totalRecords]="totalItems"
[responsive]="true"
[lazy]="true"
dataKey="idBilling"
expandableRows="false"
(onLazyLoad)="loadDataLazy($event)"
(onEditComplete)="updateRowData($event)">
<p-header>
    <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
            <button pButton type="button"                     
                label="Reload"
                class="ui-button-Primary flat-label-button btn-block"
                (click)="loadAll()"
            ></button>
        </div>
        <div class="input-group w-100 mt-3">
            <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                name="currentSearch" placeholder="Find IVU">
            <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                <span class="fa fa-search"></span>
            </button>
            <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                <span class="fa fa-trash-o"></span>
            </button>
        </div>
    </form>
</p-header>                
<p-column header="No. IVU">
    <ng-template let-rowData="rowData" pTemplate="body">
        {{rowData.billingNumber}}
    </ng-template>
</p-column>
<p-column header="{{'mpmApp.vehicleSalesBilling.tanggalIvu' | translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        {{rowData.dateCreate | date:'dd-MMM-yyyy'}}
    </ng-template>
</p-column>
<p-column header="No. VSO">
    <ng-template let-rowData="rowData" pTemplate="body">
        <!-- <div *ngIf="rowData.billingNumber"> -->
            {{rowData.description}}
            <!-- </div> -->
    </ng-template>
</p-column>
<p-column header="{{'mpmApp.vehicleSalesBilling.tanggalVSO' | translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        {{rowData.dateOrder | date:'dd-MMM-yyyy'}}
    </ng-template>
</p-column>
<p-column header="{{'mpmApp.vehicleSalesBilling.customer'|translate}}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            <a [routerLink]="['../customer', rowData.customerId  ]" >{{rowData.customerName}}</a>
        </div>
    </ng-template>
</p-column>
<p-column header="Status"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{getDescription(rowData.currentStatus)}}
        </div>
    </ng-template>
</p-column>
<p-column header="Status Faktur Pajak"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{getDescTaxs(rowData.requestTaxInvoice)}}
        </div>
    </ng-template>
</p-column>
<p-column header="Note Faktur pajak"  >
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf="rowData.customerId">
            {{rowData.taxInvoiceNote}}
        </div>
    </ng-template>
</p-column>

<p-column header="{{'mpmApp.vehicleSalesBilling.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <div *ngIf ="rowData.currentStatus != 13 || rowData.currentStatus != 17">
            <button pButton type="submit"
                    (click)="print(rowData.idBilling, rowData)"
                    icon="fa-print"
                    class="flat-button">
            </button>
        </div>
        <div>
            <button pButton type="submit"
                    (click)="requestTax(rowData)"
                    icon="fa fa-percent"
                    class="flat-button">
            </button>
        </div>
    </ng-template>
</p-column>

<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
</ng-template>
</p-dataTable>
